public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-servers/thin/
Date: Sun,  2 Apr 2023 02:56:09 +0000 (UTC)	[thread overview]
Message-ID: <1680404130.fc72202197e044e624b11dbd9c6ddf0f002d07aa.sam@gentoo> (raw)

commit:     fc72202197e044e624b11dbd9c6ddf0f002d07aa
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Apr  2 01:58:24 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Apr  2 02:55:30 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fc722021

www-servers/thin: add 1.8.2

Signed-off-by: Sam James <sam <AT> gentoo.org>

 www-servers/thin/Manifest          |  1 +
 www-servers/thin/thin-1.8.2.ebuild | 95 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 96 insertions(+)

diff --git a/www-servers/thin/Manifest b/www-servers/thin/Manifest
index 470788c57b45..4603473b7258 100644
--- a/www-servers/thin/Manifest
+++ b/www-servers/thin/Manifest
@@ -1 +1,2 @@
 DIST thin-1.8.1.tar.gz 181377 BLAKE2B 883a35d60d5845defa1f20a85b90269838a1b1ebeb4d4f32561af061cdac05b545c254fe65cca828ccfed033ad934ad3b72f1795407734d3b377a6022b57397f SHA512 221ef0c0369c449f2ca121c435ffebed318d6179a3b5d52e24d2bd80212df9cac35db39d156275c915c24550f6d8ded9f29616785d0a38e85cd13a1702e31298
+DIST thin-1.8.2.tar.gz 181290 BLAKE2B 6c8d3be6dca6f9b9b549b863150de85efdd26700c27b28f1765e4d2212827d31f2aae9f586cfa485b62b3da3742c5205486c9c8fd5bd38ec32a2a896c5e0af93 SHA512 5f222b54a86156bc5c4b9623a225cd9a4e189f3d2744f8d11efc74e91167e201a554a191f19abb081a050a206f3b281bb7c627a3e72a5ba2b0a73e0e500dd0ed

diff --git a/www-servers/thin/thin-1.8.2.ebuild b/www-servers/thin/thin-1.8.2.ebuild
new file mode 100644
index 000000000000..0f52fb11ac61
--- /dev/null
+++ b/www-servers/thin/thin-1.8.2.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A fast and very simple Ruby web server"
+HOMEPAGE="http://code.macournoyer.com/thin/"
+SRC_URI="https://github.com/macournoyer/thin/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE="doc test"
+
+DEPEND="${DEPEND}
+	dev-util/ragel"
+RDEPEND="${RDEPEND}"
+
+# The runtime dependencies are used at build-time as well since the
+# Rakefile loads thin!
+mydeps=">=dev-ruby/daemons-1.0.9
+	>=dev-ruby/rack-1.0.0:* <dev-ruby/rack-3:*
+	>=dev-ruby/eventmachine-1.0.4:0
+	virtual/ruby-ssl"
+
+ruby_add_rdepend "${mydeps}"
+ruby_add_bdepend "${mydeps}
+	dev-ruby/rake-compiler"
+
+all_ruby_prepare() {
+	# Fix Ragel-based parser generation (uses a *very* old syntax that
+	# is not supported in Gentoo)
+	sed -i -e 's: | rlgen-cd::' Rakefile || die
+
+	# Fix specs' dependencies so that the extension is not rebuilt
+	# when running tests
+	rm tasks/spec.rake || die
+
+	# Fix rspec version to allow newer 2.x versions
+	sed -i -e '/gem "rspec"/ s/1.2.9/3.0/ ; 2igem "rack", "<3"' spec/spec_helper.rb || die
+
+	# Avoid CLEAN since it may not be available and we don't need it.
+	sed -i -e '/CLEAN/ s:^:#:' tasks/*.rake || die
+
+	# Disable a test that is known for freezing the testsuite,
+	# reported upstream. In thin 1.5.1 this just fails.
+	sed -i \
+		-e '/should force kill process in pid file/,/^  end/ s:^:#:' \
+		spec/daemonizing_spec.rb || die
+
+	sed -i \
+		-e '/tracing routines (with NO custom logger)/,/^  end/ s:^:#:'\
+		spec/logging_spec.rb || die
+
+	find spec/perf -name "*_spec.rb" -exec \
+		sed -i '/be_faster_then/ i \    skip' {} \;
+
+	sed -i -e "s/Spec::Runner/Rspec/" spec/spec_helper.rb || die
+	# nasty but too complex to fix up for now :(
+	use doc || rm tasks/rdoc.rake
+}
+
+each_ruby_compile() {
+	${RUBY} -S rake compile || die "rake compile failed"
+}
+
+all_ruby_install() {
+	all_fakegem_install
+
+	keepdir /etc/thin
+	newinitd "${FILESDIR}"/${PN}.initd-r4 ${PN}
+	newconfd "${FILESDIR}"/${PN}.confd-2 ${PN}
+
+	einfo
+	elog "Thin is now shipped with init scripts."
+	elog "The default script (/etc/init.d/thin) will start all servers that have"
+	elog "configuration files in /etc/thin/. You can symlink the init script to"
+	elog "files of the format 'thin.SERVER' to be able to start individual servers."
+	elog "See /etc/conf.d/thin for more configuration options."
+	einfo
+}
+
+each_ruby_install() {
+	each_fakegem_install
+
+	# Ensure that newer rubygems version see the extention as installed
+	ruby_fakegem_extensions_installed
+}


             reply	other threads:[~2023-04-02  2:56 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-04-02  2:56 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-08-28  9:25 [gentoo-commits] repo/gentoo:master commit in: www-servers/thin/ Hans de Graaff
2023-03-29 13:04 Sam James
2023-03-23  6:44 Hans de Graaff
2023-03-18 16:29 Hans de Graaff
2023-03-12 12:09 Hans de Graaff
2022-10-20  3:54 Sam James
2021-11-18  6:37 Hans de Graaff
2021-09-01 23:17 Robin H. Johnson
2018-07-01  7:01 Hans de Graaff
2018-04-29  5:58 Hans de Graaff
2017-07-11  5:04 Hans de Graaff
2017-06-20  5:00 Hans de Graaff
2017-06-02  6:29 Hans de Graaff
2016-12-11 18:15 Hans de Graaff
2016-12-04 20:54 Manuel Rüger
2016-12-04 20:54 Manuel Rüger
2016-05-29  5:26 Hans de Graaff
2016-03-20 22:51 Manuel Rüger
2016-03-20 22:51 Manuel Rüger
2015-09-30  8:29 Hans de Graaff
2015-09-19 14:47 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1680404130.fc72202197e044e624b11dbd9c6ddf0f002d07aa.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox